// @ts-nocheck
import { useCallback } from 'react'
import styled from 'styled-components'

export default function Button (props) {
  const { icon, text, onClick } = props

  const clickButton = useCallback(() => {
    onClick && onClick()
  }, [])

  return <Wrapper onClick={clickButton}>
    {text}
    <span>{ icon }</span>
  </Wrapper>
}

const Wrapper = styled.div`
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 12px 32px 10px 32px;
    border: 2px solid #0072CE;
    border-radius: 28px;
    color: #0072CE;
    font-weight: 600;
    font-size: 1.5em;
    margin: 14px;
    &:hover {
        background-color: #0072CE;
        transition: 1s ease;
        color: rgba(0, 0, 0, 1);
    }
    svg {
        margin-top: 3px;
        margin-left: 7px;
    }
`
