// @ts-nocheck
import { useCallback } from 'react'
import styled, { keyframes } from 'styled-components'

export default function Nav () {

  const onMoveDocPage = useCallback(() => {
    window.location.href = 'https://swlab.bwg.co.kr/docs'
  }, [])

  return (<Menu>
    <MenuItem><p>Blog</p></MenuItem>
    <MenuItem onClick={onMoveDocPage}><p>Documentation</p></MenuItem>
  </Menu>)
}

const shine = keyframes`
    0% {
      background-position: 100% 50%;
    }
    100% {
      background-position: 0% 50%;
    }
`
const Menu = styled.ul`
    display: flex;
    align-items: center;
`
const MenuItem = styled.li`
    margin: 0 1.875rem;
    cursor: pointer;
    font-weight: 600;
    font-size: 20px;
    &:hover {
      p {
        background: linear-gradient(270deg, #89CFF0 0%, rgba(0,212,255,1) 50%, rgba(0,114,206,1) 100%);
        -webkit-background-clip: text;
        background-clip: text;
        -webkit-text-fill-color: transparent;
        background-size: 500% auto;
        animation: ${shine} 1500ms ease-in-out infinite alternate;
      }
    }
`
