// @ts-nocheck
import styled from 'styled-components'

export default function Section (props) {
  const { gap, title, display = 'flex' } = props

  return <Wrapper>
    <Title>{title}</Title>
    {
      display === 'flex'
        ? <FlexContents gap={gap}>
          {props.children}
        </FlexContents>
        : <GridContents gap={gap}>
          {props.children}
        </GridContents>
    }
  </Wrapper>
}

const Wrapper = styled.section`
    padding: 80px;
`
const Title = styled.h1`
  text-align: center;
  font-size: 3rem;
  font-weight: 700;
`
const FlexContents = styled.div`
    display: flex;
    justify-content: center;
    align-items: center;
    gap: ${props => props.gap};
    flex-wrap: wrap;
`
const GridContents = styled.div`
display: grid;
  grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
  gap: ${props => props.gap};
`
